org.eclipse.e4.ui.workbench

## Interface UIEvents.EventTags

Enclosing class:
  UIEvents

    public static interface UIEvents.EventTags

E4 UI Event argument attribute keys. These are used as keys for the event arguments map. Each event may have none, some, or all arguments set.

### Field Summary

Fields
`static String` `ATTNAME` The attribute name
`static String` `ELEMENT` The element that caused the event to be published
`static String` `NEW_VALUE` The new value
`static String` `OLD_VALUE` The old value
`static String` `POSITION` The position (if applicable) of the change within the list.
`static String` `TYPE` The event type @see UIEvents.EventTypes
`static String` `WIDGET` The widget that generated the event

### Field Detail

#### ELEMENT

    static final String ELEMENT

The element that caused the event to be published

See Also:
  Constant Field Values

#### WIDGET

    static final String WIDGET

The widget that generated the event

See Also:
  Constant Field Values

#### TYPE

    static final String TYPE

The event type @see UIEvents.EventTypes

See Also:
  Constant Field Values

#### ATTNAME

    static final String ATTNAME

The attribute name

See Also:
  Constant Field Values

#### OLD_VALUE

    static final String OLD_VALUE

The old value

See Also:
  Constant Field Values

#### NEW_VALUE

    static final String NEW_VALUE

The new value

See Also:
  Constant Field Values

#### POSITION

    static final String POSITION

The position (if applicable) of the change within the list.

See Also:
  Constant Field Values